/*
 * digital_filters.h
 *
 *  Created on: 13 нояб. 2024 г.
 *      Author: Evgeniy_Sokolov
 */

#ifndef SRC_MAIN_DIGITAL_FILTERS_H_
#define SRC_MAIN_DIGITAL_FILTERS_H_

unsigned int filter_digital_input(unsigned int prev_valus, unsigned int *c_plus, unsigned int max_wait, unsigned int flag);

unsigned int pause_detect_error(unsigned int *c_err, unsigned int max_wait,unsigned int flag);


unsigned int filter_err_count(unsigned int *counter, unsigned int max_errors, unsigned int err, unsigned int cmd);


#endif /* SRC_MAIN_DIGITAL_FILTERS_H_ */
